> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get KCAccessDevice entities

> Fetches all KCAccessDevice entities.

- Product: Kc smart home
- Section: Integration - KC Smart Home
- Snapshot: Current
- Method: `GET`
- Path: `/api/kc_smart_home/access_devices/`

## Query parameters

### `kcOrganization`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.kcSmartHome.accessDevices.list();
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/kc_smart_home/access_devices/" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {}
]
```

##### Schema

###### KCAccessDevice[]

Type: `KCAccessDevice[]`  

###### KCAccessDevice

Type: `KCAccessDevice`  

## Related representations

- [Human documentation](/kc-smart-home/access-devices/methods/list/)
- [TypeScript Markdown](/kc-smart-home/access-devices/methods/list.md?lang=typescript)
- [curl Markdown](/kc-smart-home/access-devices/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/kc-smart-home/llms.txt)
- [snapshot llms.txt](/kc-smart-home/llms.txt)
